Subject: Re: [PATCH net] rtnetlink: Restore RTM_NEW/DELLINK notification behavior

From: Guillaume Nault <[email-masked]>
Date: Wed, 12 Apr 2023 23:42:14 +0200

On Wed, Apr 12, 2023 at 09:16:20PM +0800, Hangbin Liu wrote:
> On Wed, Apr 12, 2023 at 11:21:33AM +0200, Martin Willi wrote:
> > Hi,
> > 
> > > > Fixes: f3a63cce1b4f ("rtnetlink: Honour NLM_F_ECHO flag in rtnl_delete_link")
> > > > Fixes: d88e136cab37 ("rtnetlink: Honour NLM_F_ECHO flag in rtnl_newlink_create")
> > > > Signed-off-by: Martin Willi <[email-masked]>
> > > 
> > > Not sure if the Fixes tag should be
> > > 1d997f101307 ("rtnetlink: pass netlink message header and portid to rtnl_configure_link()")
> > 
> > While this one adds the infrastructure, the discussed issue manifests
> 
> Yes
> 
> > only with the two commits above. Anyway, I'm fine with either, let me
> > know if I shall change it.
> 
> In my understanding the above 2 commits only pass netlink header to
> rtnl_configure_link. The question code in 1d997f101307 didn't check if
> NLM_F_ECHO is honoured, as your commit pointed.

That's right, but personally I find it clearer to cite the commits that
brought the actual behaviour change.

> Thanks
> Hangbin